Katello - Bug #5967

New host form does not populate Environment and Content view dropdown fields
05/28/2014 12:43 PM - Brad Buckingham

Status: Closed
Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1101718 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1101718
Description of problem:

While following these steps https:/gist.github.com/omaciel/eecee74971e6f1e948a6 | tried to create a new Host through the web Ul
and noticed that the fields for Environment and Content view were not populated (see screenshot)

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.9.7-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.7-1.el6_5.noarch
candlepin-tomcat6-0.9.7-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.6.0.13-1.el6sat.noarch
foreman-compute-1.6.0.13-1.el6sat.noarch
foreman-gce-1.6.0.13-1.el6sat.noarch
foreman-libvirt-1.6.0.13-1.el6sat.noarch
foreman-ovirt-1.6.0.13-1.el6sat.noarch
foreman-postgresql-1.6.0.13-1.el6sat.noarch
foreman-proxy-1.6.0.6-1.el6sat.noarch
foreman-selinux-1.6.0-2.el6sat.noarch
foreman-vmware-1.6.0.13-1.el6sat.noarch
katello-1.5.0-24.el6sat.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.44-1.el6sat.noarch
openldap-2.4.23-32.el6_4.1.x86_64
pulp-katello-plugins-0.3-1.el6sat.noarch
pulp-nodes-common-2.4.0-0.18.beta.el6sat.noarch
pulp-nodes-parent-2.4.0-0.18.beta.el6sat.noarch
pulp-puppet-plugins-2.4.0-0.18.beta.el6sat.noarch
pulp-puppet-tools-2.4.0-0.18.beta.el6sat.noarch
pulp-rpm-plugins-2.4.0-0.18.beta.el6sat.noarch
pulp-selinux-2.4.0-0.18.beta.el6sat.noarch
pulp-server-2.4.0-0.18.beta.el6sat.noarch
python-ldap-2.3.10-1.e16.x86_64
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
rubygem-hammer_cli-0.1.0-13.el6sat.noarch
rubygem-hammer_cli_foreman-0.1.0-15.el6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.2-6.el6sat.noarch
rubygem-hammer_cli_katello-0.0.3-26.el6sat.noarch
https://bugzilla.redhat.com/show_bug.cgi?id=1101718
https://gist.github.com/omaciel/eecee74971e6f1e948a6

How reproducible:

Steps to Reproduce:

1. See https://gist.github.com/omaciel/eecee74971e6f1e948a6
2.

3.

Actual results:
Expected results:
Additional info:

Processing by HostsController#process_hostgroup as /*

Parameters: {"utf8"=>"1", "authenticity_token"=>"usU1tfsynsnyfuPWG4IT8hAevvqFYrb+vpzKRUMgACM=",
"host"=>{"name"=>"", "organization_id"=>"1", "location_id"=>"2", "hostgroup_id"=>"1", "compute_resource_id"=>"",
"environment_id"=>"", "puppet_ca_proxy_id"=>"", "puppet_proxy_id"=>"", "managed"=>"true",
"progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed", "domain_id"=>"", "realm_id"=>"", "mac"=>"", "ip"=>"",
"interfaces_attributes"=>{"new_interfaces"=>{"_destroy"=>"false", "type"=>"Nic::Managed", "mac"=>"", "name"=>"",
"domain_id"=>"", "ip"=>"", "provider"=>"IPMI"}}, "architecture_id"=>"", "provision_method"=>"build", "build"=>"1",
"disk"=>"", "root_pass"=>"[FILTERED]", "is_owned_by"=>"1-Users", "enabled"=>"1", "model_id"=>"", "comment"=>"",
"overwrite"=>"false"}, "kt_environment_id"=>""}

Rendered hosts/_progress.html.erb (0.2ms)

Rendered puppetclasses/_selectedClasses.html.erb (0.0ms)

Rendered puppetclasses/_classes_in_groups.html.erb (0.0ms)

Rendered puppetclasses/_classes.html.erb (0.1ms)

Rendered puppetclasses/_class_selection.html.erb (58.5ms)

Rendered common/_domain.html.erb (9.4ms)

Rendered hosts/_interfaces.html.erb (134.3ms)

Rendered common/os_selection/_architecture.html.erb (3.5ms)

Rendered common/os_selection/_operatingsystem.html.erb (17.1ms)

Rendered hosts/_operating_system.html.erb (27.1ms)

Rendered hosts/_unattended.html.erb (182.3ms)

Rendered puppetclasses/_class_parameters.html.erb (0.0ms)

Rendered puppetclasses/_classes_parameters.html.erb (8.7ms)

Rendered common_parameters/_inherited_parameters.html.erb (4.9ms)

Rendered common_parameters/_puppetclass_parameter.html.erb (1.6ms)

Rendered common_parameters/_puppetclasses_parameters.html.erb (2.5ms)

Rendered common_parameters/_parameter.html.erb (1.1ms)

Rendered common_parameters/_parameters.html.erb (2.3ms)

Rendered hosts/_form.html.erb (327.8ms)

Completed 200 OK in 379ms (Views: 309.5ms | ActiveRecord: 26.2ms)

Processing by SubnetsController#freeip as */

Parameters: {"subnet_id"=>"1", "host_mac"=>"", "organization_id"=>"1", "location_id"=>"2"}

> /var/log/foreman-proxy/proxy.log <

D, [2014-05-27T15:07:23.320727 #22617] DEBUG -- : Reading config file /etc/dhcp/dhcpd.conf

D, [2014-05-27T15:07:23.321171 #22617] DEBUG -- : Reading config file /etc/dhcp/dhcpd.hosts

D, [2014-05-27T15:07:23.321338 #22617] DEBUG -- : Loading subnets for 127.0.0.1

D, [2014-05-27T15:07:23.321520 #22617] DEBUG -- : Added 192.168.100.0/255.255.255.0 to 127.0.0.1

D, [2014-05-27T15:07:23.321932 #22617] DEBUG -- : trying to find an ip address, we got {:mac=>nil, :from=>nil, :to=>nil}

D, [2014-05-27T15:07:23.331574 #22617] DEBUG -- : Loading subnet data for 192.168.100.0/255.255.255.0

I, [2014-05-27T15:07:23.331736 #22617] INFO -- : Enumerated hosts on 192.168.100.0

D, [2014-05-27T15:07:23.331779 #22617] DEBUG -- : Lazy loaded 192.168.100.0/255.255.255.0 records

D, [2014-05-27T15:07:23.333093 #22617] DEBUG -- : Searching for free IP - pinging 192.168.100.3

D, [2014-05-27T15:07:25.357942 #22617] DEBUG -- : Found free IP 192.168.100.3 out of a total of 254 free IPs >
/var/log/foreman/production.log <

Completed 200 OK in 2125ms (Views: 0.3ms | ActiveRecord: 5.8ms)

Processing by HostsController#compute_resource_selected as */*

Parameters: {"utf8"=>"L", "authenticity_token"=>"usU1tfsynsnyfuPWG4IT8hAevvqFYrb+vpzKRUMgACM=", "host"=>{"name"=>"",
"organization_id"=>"1", "location_id"=>"2", "hostgroup_id"=>"1", "compute_resource_id"=>"1", "environment_id"=>"",
"puppet_ca_proxy_id"=>"1", "puppet_proxy_id"=>"1", "puppetclass_ids"=>[""], "managed"=>"true",
"progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed", "domain_id"=>"2", "realm_id"=>"", "mac"=>"", "subnet_id"=>"1",

"ip"=>"192.168.100.3", "interfaces_attributes"=>{"new_interfaces"=>{"_destroy"=>"false", "type"=>"Nic::Managed", "mac"=>"",
"name"=>"", "domain_id"=>"", "ip"=>"", "provider"=>"IPMI"}}, "architecture_id"=>"1", "operatingsystem_id"=>"1",
"provision_method"=>"build", "build"=>"1", "ptable_id"=>"7", "disk"=>"", "root_pass"=>"[FILTERED]", "is_owned_by"=>"1-Users",

"enabled"=>"1", "model_id"=>"", " " "overwrite"=>"false"}, "kt_environment_id"=>

, "comment"=>"",
Rendered compute_resources_vms/form/libvirt/_network.html.erb (32.2ms)
Rendered compute_resources_vms/form/libvirt/_network.html.erb (30.2ms)
Rendered compute_resources_vms/form/libvirt/_volume.html.erb (12.3ms)
Rendered compute_resources_vms/form/libvirt/_volume.html.erb (12.3ms)
Rendered compute_resources_vms/form/_libvirt.html.erb (240.2ms)
Rendered hosts/_compute.html.erb (265.1ms)

Completed 200 OK in 299ms (Views: 264.1ms | ActiveRecord: 7.2ms)
Processing by ImagesController#index as JSON

Parameters: {"search"=>"operatingsystem=1 architecture=1", "compute_resource_id"=>"1"}
Completed 200 OK in 22ms (Views: 2.2ms | ActiveRecord: 3.8ms)

Client disconnected.

Associated revisions

Revision 386d68a9 - 06/04/2014 04:22 PM - Brad Buckingham

fixes #5967 - initial updates to support default capsule

This commit contains several changes to support a 'default’ capsule.
With each fortello installation, there will be a capsule installed.

That capsule will not provide pulp node functionality, since pulp
functionality is provided by the pulp server running on the fortello

server; however, it can provide other features such as puppet, dhcp...etc.

With these changes, the 'default’ capsule will be automatically associated
with the following resources:

- all organizations configured on the fortello server

- the default location

- all lifecycle environments

In addition, it will not be allowed for a user to perform CLI commands

which would alter the 'default' capsule. For example, the following commands
would generate an error:

- capsule content add-lifecycle-environment

- capsule content remove-lifecycle-environment

- capsule content synchronize

That said, a user could still look to see details on the 'default’
capsule using the other supported CLI commands such as:

- capsule list

- capsule content info

- capsule content lifecycle-environments

With the above, this 'default' capsule can then be used to help
support things like:

- When a puppet environment is created as part of publishing
or promoting a content view, associate that puppet environment
with the appropriate locations. This would be achieved by
retrieving the list of locations that are associated with

capsules that are currently syncing content for the

target lifecycle environment.

Revision €9290bec - 06/05/2014 05:58 PM - Brad Buckingham
Merge pull request #4214 from bbuckingham/issue-5967

fixes #5967 - initial updates to support default capsule

History

#1 - 05/28/2014 12:43 PM - Brad Buckingham

- Triaged set to Yes

#2 - 06/04/2014 04:26 PM - Brad Buckingham
- Assignee set to Brad Buckingham

- Target version set to 45

#3 - 06/05/2014 06:52 PM - Brad Buckingham
- Status changed from New to Closed

- % Done changed from 0 to 100
Applied in changeset katellojcommit:386d68a907c8be1c8dd0eb9e46ad7c7698cb9be3.

#4 - 08/22/2014 08:28 AM - Eric Helms

- translation missing: en.field_release set to 13
